package sgc.portal.ll.ll0101.persistence;

import org.apache.ibatis.annotations.Mapper;

import sgc.portal.ll.ll0101.dto.LL01010001PSearch;
import sgc.portal.ll.ll0101.model.LL01010001P;

@Mapper
public interface LL01010001PMapper {

	/**
	 * Lessons Learned(팝업) 조회
	 * @param search
	 * @return
	 */
	LL01010001P selectLlInfoList(LL01010001PSearch search);
	
	/**
	 * Lessons Learned 순번 조회
	 * @return
	 */
	int selectSeq(LL01010001P LL01010001P);
	
	/**
	 * Lessons Learned(팝업) 저장 - 신규
	 * @param LL01010001P
	 */
	void insertLlInfo(LL01010001P LL01010001P);

	/**
	 * Lessons Learned(팝업) 저장
	 * @param LL01010001P
	 */
	void updateLlInfo(LL01010001P LL01010001P);

}
